#include "Point.h"


Point::Point(double x, double y)
	: mX(x),
	  mY(y)
{
}

Point::~Point()
{
};


std::shared_ptr<Point> Point::Create(double x, double y)
{
	return std::make_shared<Point>(x, y);
}
